Subject: Re: [PATCH v3 0/8] environment: move core config globals into repo_config_values

From: Junio C Hamano <[email-masked]>
Date: Mon, 11 May 2026 11:56:24 +0900

Bello Olamide <[email-masked]> writes:

> On Sun, 26 Apr 2026 at 01:02, Junio C Hamano <[email-masked]> wrote:
>>
>> Olamide Caleb Bello <[email-masked]> writes:
>>
>> > Olamide Caleb Bello (8):
>> >   environment: move "trust_ctime" into `struct repo_config_values`
>> >   environment: move "check_stat" into `struct repo_config_values`
>> >   environment: move `zlib_compression_level` into `struct
>> >     repo_config_values`
>> >   environment: move "pack_compression_level" into `struct
>> >     repo_config_values`
>> >   environment: move "precomposed_unicode" into `struct
>> >     repo_config_values`
>> >   env: move "core_sparse_checkout_cone" into `struct repo_config_values`
>> >   env: move "sparse_expect_files_outside_of_patterns" into
>> >     `repo_config_values`
>> >   env: move "warn_on_object_refname_ambiguity" into `struct
>> >     repo_config_values`
>>
>> Are there differences between the ones that start with "environment:"
>> vs the ones with "env:"?
>>
> Hi Junio,
>
> There isn’t any semantic difference intended between
> the "environment:" and "env:" prefixes
>
> I shortened some of them to stay within the recommended subject length,
> but on a second thought I agree that consistency is more important here.
>
> I’ll standardize them in the next revision.

Does anybody listed on the CC: in the original submission have any
comments on this round?  It seems that v2 iteration was commented on
quite a bit, but has anybody checked the latest iteration since it
was posted?

Thanks.